<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
|-----------------------------------------------------
| Copyright  2002 - 2021 Nick Jones
| http://www.php-fusion.co.uk/
|-----------------------------------------------------
| Panel Name: bday Panel
| Author: Original Smokeman
| Website: URL: http://www.phpfusion-tips.dk/
|-----------------------------------------------------
| *Original Mod  Php Fusion v.7.xxx
| Transcribed mod Php Fusion V.9.3.110 tested
| Version: 1.0
| Author: superboyka
| Email: superboyka@gmail.com
|-----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+---------------------------------------------------*/
defined('IN_FUSION') || exit;
add_to_head("<link rel='stylesheet' href='".BDAY_PATH."bday.css' type='text/css'media='all'/>");
$locale = fusion_get_locale("", BDAY_LOCALE);
$thisdate = "____-".date("m")."-__";
$Images = ['01' => '01', '02' => '02', '03' => '03', '04' => '04', '05' => '05', '06' => '06', '07' => '07', '08' => '08', '09' => '09', '10' => '10', '11' => '11', '12' => '12'];

$image = ''.$Images[date("m")];
$imag = "<img src='".BDAY_PATH."images/".$image.".gif'><br />" ;
$title = $locale['bp0_'.$Images[date("m")]];
$result = dbquery("SELECT user_id, user_name,user_level, user_birthdate FROM ".DB_USERS." WHERE user_birthdate like '$thisdate' ORDER BY MONTH(user_birthdate), DAY(user_birthdate) ASC");
openside($locale['bp_100'],"on");
echo "<div class='text-center'>".$imag."</div><br />\n";

if (dbrows($result) == 0) {
    echo "<div class='text-center'>".$title." ".$locale['bp_101']."</div><br />\n";
} else {
    echo "<div class='text-center'>".$title." ".$locale['bp_016']."</div><br />\n";
}

while ($db = dbarray($result)) {
    if ($db['user_level'] == USER_LEVEL_SUPER_ADMIN) {
        $or = "#FE0101";
    } else if ($db['user_level'] == USER_LEVEL_ADMIN) {
        $or = "#257D2F";
    } else if ($db['user_level'] == USER_LEVEL_MEMBER) {
        $or = "#4C20DC";
    }

    $newdate = explode ("-", $db['user_birthdate']);
    //My New Code
    $date = $newdate;
    $now = date("Y-m-d");
    $yr = date("Y");
    $age = substr($now, 0, 4) - substr($db['user_birthdate'], 0, 4);
    //End new code
    if ($date[2] == date("d")) {
        $present = "<img src='".BDAY_PATH."images/birthday.gif' alt='' border='0' />\n";
    } else {
        $present = "";
    }

    $thistime = time() - mktime(0,0,0,$date['1'],$date['2'],$date['0']);
    echo $date[2].".".$date[1]."&nbsp;";
    echo "<a href='".BASEDIR."profile.php?lookup=".$db['user_id']."' title='".$db['user_name']."'><font color='".$or."'>".$db['user_name']."</font></a> ";
    echo "(".$age.") ".$present."<br />";
}

echo "<hr />";
$maib = "____-".showdate('%m-%d',time());

$result = dbquery("SELECT user_id, user_name, user_avatar, user_level,
	DATE_FORMAT(user_birthdate, '$maib') AS birth_day,
	EXTRACT(MONTH FROM user_birthdate) AS birth_month
	FROM ".DB_USERS."
	WHERE (EXTRACT(MONTH FROM user_birthdate)=EXTRACT(MONTH FROM NOW())
	AND EXTRACT(DAY FROM user_birthdate)=EXTRACT(DAY FROM NOW()))
	ORDER BY birth_month , birth_day LIMIT 0,20"
);
echo "<table width='100%' align='center' border='0' cellpadding='1' cellspacing='3'><tr>";
$rows = dbrows($result);
if ($rows != 0) {
    echo "<div class='text-center'>".$locale['bp_018']."</div><br />\n";
    $months=explode("|", $locale['shortmonths']);
    while($data=dbarray($result)) {
        if ($data['user_level'] == USER_LEVEL_SUPER_ADMIN) {
            $or = "#FE0101";
        } else if ($data['user_level'] == USER_LEVEL_ADMIN) {
            $or = "#257D2F";
        } else if ($data['user_level'] == USER_LEVEL_MEMBER) {
            $or = "#4C20DC";
        }
        $profilelink = "<font color='".$or."'>".$data['user_name']."</font>";
        echo "<table align='center' width='98%' border='0' cellspacing='2' cellpadding='3' class='tbl-brdr1'><tr>";
        echo "<td align='left' valign='middle'>".display_avatar($data, '20px', '', TRUE, 'img-rounded')." ".$profilelink."</a>";
        $user = $data['user_name'];
        echo "<td align='right' valign='middle'><img src='".BDAY_PATH."images/cookie.png' width='20' alt='' title='".$locale['bp_020']." $user!'/></td></tr>";
    }
} else {
    echo "<td width='100%' class='datehd' align='center'>".$locale['bp_019']."</td></tr></table>";
}

echo "</tr><tr></table>";

$holnb = "____-".showdate('%m-%d',time()+86400);
$result = dbquery("SELECT user_id, user_name, user_level , user_avatar FROM ".DB_USERS." WHERE user_birthdate != '1900-01-01' && user_birthdate like '".$holnb."' ORDER BY user_name ASC");
echo "<table width='100%' align='center' border='0' cellpadding='1' cellspacing='3'><tr>";
$rows = dbrows($result);

if ($rows != 0) {
    echo "<div align='center'>".$locale['bp_013']."</div><br />\n";
    $months=explode("|", $locale['shortmonths']);
    while($data=dbarray($result)) {
        if ($data['user_level'] == USER_LEVEL_SUPER_ADMIN) {
            $or = "#FE0101";
        } else if ($data['user_level'] == USER_LEVEL_ADMIN) {
            $or = "#257D2F";
        } else if ($data['user_level'] == USER_LEVEL_MEMBER) {
            $or = "#4C20DC";
        }
        $profilelink = "<font color='".$or."'>".$data['user_name']."</font>";
        echo "<table align='center' width='98%' border='0' cellspacing='2' cellpadding='3' class='tbl-brdr1'><tr>";
        echo "<td align='left' valign='middle'>".display_avatar($data, '20px', '', TRUE, 'img-rounded')." ".$profilelink."</a>";
        $user = $data['user_name'];
        echo "<td align='right' valign='middle'><img src='".BDAY_PATH."images/cookie.png' width='20' alt='' title='".$locale['bp_020']." $user!'/></td></tr>";
    }
} else {
    echo "<td width='100%' class='datehd' align='center'>".$locale['bp_014']."</td></tr></table>";
}

echo "</tr><tr></table>";
include BDAY_PATH."nevnap.php";
closeside();
